@import url("https://sibforms.com/forms/end-form/build/sib-styles.css");

:root[data-theme="light"] {
    --bg: white;
    /*--bg2: rgb(246, 246, 240);*/
    --bg2: #f4f3f2;
    /*--bg3: #e7e7e0;*/
    --bg3: #e9e7e5;
    --text: #111111;
    --link: rgb(26, 120, 160);
    --link-hover: rgb(39, 141, 184);
    --btn-bg: #111111;
    --btn-hover: #333;
    --input: white;
    --input-border: #ccc;
    --font-weight: 400;
    --book-bg: #e9e7e5;
}
:root[data-theme="dark"] {
    --bg: #111;
    --bg2: #222;
    --bg3: #111;
    --text: whitesmoke;
    --link: rgb(223, 218, 185);
    --link-hover: rgb(236, 228, 174);
    --btn-bg: rgb(223, 218, 185);
    --btn-hover: rgb(236, 228, 174);
    --input: #444;
    --input-border: #777;
    --font-weight: 300;
    --book-bg: #444;
}

* {
    margin: 0;
    padding: 0;
}
img {
    width: 100%;
    height: auto;
    display: block;
}
picture {
    display: flex;
    justify-content: center;
    background: var(--book-bg);

}
.book-cover {
    height: 260px;
    width: auto;
    margin: 30px;
    box-shadow: -4px 6px 10px rgba(1, 1, 1, 0.3);
}
body {
    background: var(--bg);
    color: var(--text);
    transition: background 0.3s, color 0.3s;
}
section {
    padding: 60px 20px;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.content {
    width: 100%;
}
#header {
    padding: 40px 20px 0 20px;
}
#header .content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#books {
   background: var(--bg2);
}
.book:first-of-type {
    margin-bottom: 60px;
}
#contact {
    margin-bottom: 0;
    background-color: var(--bg3);
}
#contact .content {
    display: grid;
    gap: 80px;
}
#contact h2 {
    margin-bottom: .5em;
}
.space-top {
    margin-top: 1.55em;
}
#contact p {
    margin-top: 0;
}
#footer {
    background: #222;
    margin: 0;
    color: #aaaaaa;
    padding: 30px 20px;
}
#footer p {
    font-size: 13px;
    text-align: center;
    hyphens: auto;
}
#footer a {
    color: inherit;
}
#theme-btn {
    cursor: pointer;
    font-size: 1.2rem;
    border: none;
    background: transparent;
    padding: 5px 0 5px 20px;
}
#theme-btn svg {
      display: block;
      transition: transform 0.5s cubic-bezier(.4, 0, .2, 1);
    }
#theme-btn svg.rotated {
    transform: rotate(180deg);
}
h1, h2, h3, p {
    font-size: 17px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
h1 {
    font-weight: calc( var(--font-weight) + 400);
    text-transform:uppercase;
    font-size: 18px;
}
h2 {
    margin-bottom: 1em;
    font-size: 18px;
    font-weight: calc( var(--font-weight) + 200);
}
h3 {
    margin: 1.5em 0 0 0;
    font-style: italic;
    font-weight: calc( var(--font-weight) + 200);
}
p {
    line-height: 145%;
    margin: 1em 0;
    font-weight: var(--font-weight);
}
a {
    color: var(--link);
}
.headline-link {
    color: var(--text);
    text-decoration: none;
}
.headline-link:hover {
    color: var(--text);
}
.cta {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 2em;
}
a.btn {
    padding: 10px 10px 11px 10px;
    text-decoration: none;
    color: var(--bg);
    font-weight: 500;
    background: var(--btn-bg);
    width: 150px;
    text-align: center;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
/* midlertidig */

span {
    color: rgb(223, 81, 38);
    font-weight: 500;
}

/* Brevo hacks */
.sib-form {
    padding: 0 !important;
}
#sib-container, .sib-input, .sib-form-block {
    padding: 0 !important;
    background: none !important;
}
.form__label-row, .entry__field {
    margin: 0 !important;
}
form div {
    padding: 0 !important;
}
.entry__field {
    font-size: 16px !important;
    border: 1px solid rgb(221, 221, 221) !important;
    border-radius: 0 !important;
    padding-left: 4px !important;
    background-color: var(--input) !important;
    border-color: var(--input-border) !important;
    border-right-color: var(--btn-bg) !important;
}
input::placeholder {
  color: var(--text) !important;
  opacity: .5 !important; /* Firefox sætter den til 0.54 som standard */
}
.sib-form-block__button {
    margin-top: 0;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif !important;
    font-size: 16px !important;
    border-radius: 0 !important;
    padding: 5px 27px 5px 23px !important;
    color: var(--bg) !important;
    font-weight: 500 !important;
    background-color: var(--btn-bg) !important;
}
.sib-form-block__button:hover {
    background-color: var(--btn-hover) !important;
}
form {
    display: grid;
    grid-template-columns: 4fr 1fr;
}

@media screen and (min-width: 900px) {
    .content {
        max-width: 1100px;
    }
    #contact .content, #bio .content, .book {
        display: grid;
        grid-template-columns: 2fr 3fr;
        gap: 40px;
    }
    .newsletter {
        order: 1;
    }
    #footer .content {
        max-width: 870px;
    }
    p, h1, h2, h3 {
        font-size: 19px;
    }
    h3 {
        margin-top: .5em;
    }
    a:hover {
        color: var(--link-hover);
    }
    .cta {
        justify-content: flex-start;
        gap: 30px;
    }
    .btn {
        font-size: 16px;
        padding: 10px 20px;
    }
    .btn:hover {
        color: var(--bg);
        background: var(--btn-hover);
    }

    /* Brevo hacks desktop */
    form {
        display: grid;
        grid-template-columns: 4fr 1fr;
    }
    .entry__field {
        border-radius: 0 !important;
    }
    .sib-form-block__button {
        margin-top: 0;
        border-radius: 0 !important;
    }
}

/* mobile hacks */
@media screen and (max-width: 899px) {
    #bio p:first-of-type {
        padding-top: 1em;
    }
}